--- old/usr/src/lib/libshare/Makefile.com	2014-02-13 22:45:24.294865601 -0500
+++ new/usr/src/lib/libshare/Makefile.com	2014-02-13 22:45:24.308626552 -0500
@@ -37,9 +37,12 @@
 lintcheck := SRCS = $(LIBSRCS)
 
 LIBS =		$(DYNLIB) $(LINTLIB)
-LDLIBS +=	-lc -lnsl -lscf -lzfs -luuid -lxml2 -lnvpair
+LDLIBS +=	-lc -lnsl -lscf -lzfs -luuid -lnvpair
 $(LINTLIB) :=	SRCS = $(SRCDIR)/$(LINTSRC)
 
+# libxml2 has no lint library, so we can only use it when building
+$(DYNLIB) := LDLIBS += -lxml2
+
 #add nfs/lib directory as part of the include path
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
